aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-html-parser/APKBUILD
diff options
context:
space:
mode:
authorLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
committerLinux User <larena@df1844j.ita.wtbts.net>2009-06-05 13:56:34 +0000
commite17cea1222c08c6d1d1e9b00cc00c3d226908303 (patch)
tree0ec114d909dff1b613f7fdda6ad834d88331e273 /testing/perl-html-parser/APKBUILD
parentfd65781e596719a527a30271e44ae36a21a7fb14 (diff)
downloadaports-e17cea1222c08c6d1d1e9b00cc00c3d226908303.tar.gz
aports-e17cea1222c08c6d1d1e9b00cc00c3d226908303.tar.bz2
aports-e17cea1222c08c6d1d1e9b00cc00c3d226908303.tar.xz
testing/perl-html-parser: new aport
Diffstat (limited to 'testing/perl-html-parser/APKBUILD')
-rw-r--r--testing/perl-html-parser/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/testing/perl-html-parser/APKBUILD b/testing/perl-html-parser/APKBUILD
new file mode 100644
index 0000000000..eb4d1bb37c
--- /dev/null
+++ b/testing/perl-html-parser/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Leonardo Arena <rnalrd@gmail.com>
+pkgname=perl-html-parser
+_realname=HTML-Parser
+pkgver=3.60
+pkgrel=0
+pkgdesc="Parse section of HTML documents"
+url="http://search.cpan.org/~gaas/HTML-Parser-3.60/"
+license="GPL PerlArtistic"
+depends="perl"
+makedepends="perl-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/$_realname-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ rm $pkgdir/usr/lib/perl5/5.10.0/x86_64-linux/perllocal.pod
+}
+
+md5sums="fb97ea7e5bd832b079d8660732f9d8d9 HTML-Parser-3.60.tar.gz"